# CbcStrategyDefault Class Reference

Default class. More...

`#include <CbcStrategy.hpp>`

Inheritance diagram for CbcStrategyDefault:
[legend]
Collaboration diagram for CbcStrategyDefault:
[legend]

List of all members.

## Public Member Functions
| CbcStrategyDefault (int cutsOnlyAtRoot=1, int numberStrong=5, int numberBeforeTrust=0, int printLevel=0)
| CbcStrategyDefault (const CbcStrategyDefault &)
| ~CbcStrategyDefault ()
virtual CbcStrategy * | clone () const
| Clone.
virtual void | setupCutGenerators (CbcModel &model)
| Setup cut generators.
virtual void | setupHeuristics (CbcModel &model)
| Setup heuristics.
virtual void | setupPrinting (CbcModel &model, int modelLogLevel)
| Do printing stuff.
virtual void | setupOther (CbcModel &model)
| Other stuff e.g. strong branching.
void | setupPreProcessing (int desired=1, int passes=10)
| Set up preProcessing - see below.
int | desiredPreProcess () const
| See what sort of preprocessing wanted.
int | preProcessPasses () const
| See how many passes wanted.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
## Protected Attributes
int | cutsOnlyAtRoot_
int | numberStrong_
int | numberBeforeTrust_
int | printLevel_
int | desiredPreProcess_
| Desired pre-processing 0 - none 1 - ordinary 2 - find sos 3 - find cliques 4 - more aggressive sos 5 - add integer slacks.
int | preProcessPasses_
| Number of pre-processing passes.
## Private Member Functions
CbcStrategyDefault & | operator= (const CbcStrategyDefault &rhs)
| Illegal Assignment operator.

## Detailed Description

Default class.

Definition at line 131 of file CbcStrategy.hpp.

## Constructor & Destructor Documentation

CbcStrategyDefault::CbcStrategyDefault | ( | int | cutsOnlyAtRoot = `1`,
|  | int | numberStrong = `5`,
|  | int | numberBeforeTrust = `0`,
|  | int | printLevel = `0` |
| ) |  |  |

CbcStrategyDefault::CbcStrategyDefault | ( | const CbcStrategyDefault & |  | ) |

CbcStrategyDefault::~CbcStrategyDefault | ( |  | ) |

## Member Function Documentation

virtual CbcStrategy* CbcStrategyDefault::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcStrategy.

virtual void CbcStrategyDefault::setupCutGenerators | ( | CbcModel & | model | ) | `[virtual]`

Setup cut generators.

Implements CbcStrategy.

virtual void CbcStrategyDefault::setupHeuristics | ( | CbcModel & | model | ) | `[virtual]`

Setup heuristics.

Implements CbcStrategy.

virtual void CbcStrategyDefault::setupPrinting | ( | CbcModel & | model,
|  | int | modelLogLevel |
| ) |  |  | `[virtual]`

Do printing stuff.

Implements CbcStrategy.

virtual void CbcStrategyDefault::setupOther | ( | CbcModel & | model | ) | `[virtual]`

Other stuff e.g. strong branching.

Implements CbcStrategy.

void CbcStrategyDefault::setupPreProcessing | ( | int | desired = `1`,
|  | int | passes = `10` |
| ) |  |  | `[inline]`

Set up preProcessing - see below.

Definition at line 158 of file CbcStrategy.hpp.

int CbcStrategyDefault::desiredPreProcess | ( |  | ) | const`[inline]`

See what sort of preprocessing wanted.

Definition at line 163 of file CbcStrategy.hpp.

int CbcStrategyDefault::preProcessPasses | ( |  | ) | const`[inline]`

See how many passes wanted.

Definition at line 167 of file CbcStrategy.hpp.

virtual void CbcStrategyDefault::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcStrategy.

CbcStrategyDefault& CbcStrategyDefault::operator= | ( | const CbcStrategyDefault & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from CbcStrategy.

## Member Data Documentation

int CbcStrategyDefault::cutsOnlyAtRoot_`[protected]`

Definition at line 177 of file CbcStrategy.hpp.

int CbcStrategyDefault::numberStrong_`[protected]`

Definition at line 180 of file CbcStrategy.hpp.

int CbcStrategyDefault::numberBeforeTrust_`[protected]`

Definition at line 183 of file CbcStrategy.hpp.

int CbcStrategyDefault::printLevel_`[protected]`

Definition at line 186 of file CbcStrategy.hpp.

int CbcStrategyDefault::desiredPreProcess_`[protected]`

Desired pre-processing 0 - none 1 - ordinary 2 - find sos 3 - find cliques 4 - more aggressive sos 5 - add integer slacks.

Definition at line 196 of file CbcStrategy.hpp.

int CbcStrategyDefault::preProcessPasses_`[protected]`

Number of pre-processing passes.

Definition at line 198 of file CbcStrategy.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcStrategy.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines